Name:           ocaml-ocamlgraph
Version:        1.8.8
Release:        %mkrel 7
Summary:        OCaml library for arc and node graphs

Group:          Development/OCaml
License:        LGPLv2 with exceptions

URL:            http://ocamlgraph.lri.fr/
#Project:       https://github.com/backtracking/ocamlgraph
Source0:        http://ocamlgraph.lri.fr/download/ocamlgraph-%{version}.tar.gz
Source1:        ocamlgraph-test.result

# Fix the tests - unclear why this is necessary.
Patch1:         ocamlgraph-1.8.7-fix-tests.patch

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-doc
BuildRequires:  ocaml-lablgtk2-devel
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libgnomecanvas-2.0)

%global __ocaml_requires_opts -i Sig

%description
Ocamlgraph provides several different implementations of graph data
structures. It also provides implementations for a number of classical
graph algorithms like Kruskal's algorithm for MSTs, topological
ordering of DAGs, Dijkstra's shortest paths algorithm, and
Ford-Fulkerson's maximal-flow algorithm to name a few. The algorithms
and data structures are written functorially for maximal
reusability. Also has input and output capability for Graph Modeling
Language file format and Dot and Neato graphviz (graph visualization)
tools.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVRD}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocamlgraph-%{version}
%patch1 -p1
cp %{SOURCE1} .

%build
%configure

make depend
make all OCAMLBEST=opt OCAMLOPT="ocamlopt.opt -g"
make doc

%check
make --no-print-directory check >& test
diff -u test ocamlgraph-test.result || :

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
make OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml install-findlib

install -m 0755 -p graph.cmxs %{buildroot}%{_libdir}/ocaml/ocamlgraph

# Install the graph editing tools
mkdir -p %{buildroot}%{_bindir}
install -m 0755 -p editor/editor.opt %{buildroot}%{_bindir}/ocaml-graph-editor
install -m 0755 -p dgraph/dgraph.opt %{buildroot}%{_bindir}/ocaml-graph-viewer
install -m 0755 -p view_graph/viewgraph.opt %{buildroot}%{_bindir}/ocaml-viewgraph

mv doc/ api-doc

%files
%doc README.adoc LICENSE COPYING CREDITS CHANGES FAQ
%{_bindir}/*
%{_libdir}/ocaml/ocamlgraph/
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%exclude %{_libdir}/ocaml/*/*.mli

%files devel
%doc api-doc/
%doc tests/
%doc examples/
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%{_libdir}/ocaml/*/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.8.8-7.mga8
+ Revision: 1670470
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.8.8-6.mga8
+ Revision: 1551363
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.8.8-5.mga8
+ Revision: 1544196
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 tv <tv> 1.8.8-4.mga8
+ Revision: 1482696
- rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 24 2018 pterjan <pterjan> 1.8.8-3.mga7
+ Revision: 1325035
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.8.8-2.mga7
+ Revision: 1299906
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 1.8.8-1.mga7
+ Revision: 1179359
- new release
- rebuild for new ocaml

* Fri Oct 13 2017 daviddavid <daviddavid> 1.8.6-3.mga7
+ Revision: 1171507
- rebuild for fixed ocaml (use standard ISO C99 types {u}uint{32,64}_t)
- package the graph editing tools
- reenable debug package

* Mon Sep 26 2016 pterjan <pterjan> 1.8.6-2.mga6
+ Revision: 1056425
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 1.8.6-1.mga6
+ Revision: 930821
- Update test output
- Update to 1.8.6

* Wed Oct 21 2015 tv <tv> 1.8.5-5.mga6
+ Revision: 893238
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 1.8.5-4.mga5
+ Revision: 750943
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 malo <malo> 1.8.5-3.mga5
+ Revision: 724303
- fix auto requires

* Tue Sep 16 2014 umeabot <umeabot> 1.8.5-2.mga5
+ Revision: 683074
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 malo <malo> 1.8.5-1.mga5
+ Revision: 671345
- update to 1.8.5 (patch upstreamed)

* Sat Oct 19 2013 umeabot <umeabot> 1.8.3-3.mga4
+ Revision: 534961
- Mageia 4 Mass Rebuild
+ blue_prawn <blue_prawn>
- added scm link in comment

* Mon Sep 16 2013 malo <malo> 1.8.3-2.mga4
+ Revision: 480314
- rebuild for new ocaml

* Sun Jun 09 2013 malo <malo> 1.8.3-1.mga4
+ Revision: 441348
- update to 1.8.3

* Sun Jan 13 2013 umeabot <umeabot> 1.8.2-3.mga3
+ Revision: 361509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 1.8.2-2.mga3
+ Revision: 326526
- rebuild for new ocaml

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.8.2-1.mga3
+ Revision: 302170
- rebuild last version 1.8.2
- updated to last version 1.8.2

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.8.1-2.mga3
+ Revision: 302164
- rebuild for new ocaml 4.00
- new rpm group for ocaml
- allow successive builds with rpmbuild

* Thu Nov 17 2011 malo <malo> 1.8.1-1.mga2
+ Revision: 168392
- missing BuildRequires libgnomecanvas2-devel
- new version 1.8.1
- rediff installation patch

* Sun Oct 02 2011 fwang <fwang> 1.7-2.mga2
+ Revision: 150926
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 1.7-1.mga1
+ Revision: 82453
- fix release
- ibuild requires switched to gtk2
- clean spec file
- imported package ocaml-ocamlgraph

